import React from 'react';
import {
  LabelIconSvg,
  LabelIconG,
  LabelIconPath,
  PasswordIconSvg,
  PasswordIconG,
  PasswordIconShowPath,
  PasswordIconHidePath,
  NewWindowInconSvg,
  NewWindowWhiteIconPath,
  NewWindowBlackIconPath,
  CheckIconSvg,
  CheckIconPath,
} from './TextInput';
import { SubmitIconSvg, SubmitIconG, SubmitIconPath } from './SubmitButton';

export const EmailIcon = () => {
  return (
    <LabelIconSvg>
      <LabelIconG>
        <LabelIconPath d="M 19.460938 2.664062 C 19.113281 2.316406 18.691406 2.140625 18.199219 2.140625 L 1.785156 2.140625 C 1.292969 2.140625 0.875 2.316406 0.523438 2.664062 C 0.175781 3.015625 0 3.433594 0 3.925781 L 0 16.058594 C 0 16.550781 0.175781 16.96875 0.523438 17.320312 C 0.875 17.667969 1.292969 17.84375 1.785156 17.84375 L 18.199219 17.84375 C 18.691406 17.84375 19.113281 17.667969 19.460938 17.320312 C 19.8125 16.96875 19.984375 16.550781 19.984375 16.058594 L 19.984375 3.925781 C 19.984375 3.433594 19.8125 3.015625 19.460938 2.664062 Z M 18.558594 16.058594 C 18.558594 16.15625 18.523438 16.238281 18.453125 16.308594 C 18.382812 16.382812 18.296875 16.417969 18.199219 16.417969 L 1.785156 16.417969 C 1.6875 16.417969 1.605469 16.382812 1.535156 16.308594 C 1.460938 16.238281 1.425781 16.15625 1.425781 16.058594 L 1.425781 7.496094 C 1.664062 7.761719 1.921875 8.007812 2.195312 8.230469 C 4.191406 9.761719 5.773438 11.019531 6.949219 12 C 7.328125 12.320312 7.636719 12.570312 7.875 12.746094 C 8.113281 12.925781 8.433594 13.105469 8.839844 13.289062 C 9.242188 13.46875 9.625 13.5625 9.980469 13.5625 L 10.003906 13.5625 C 10.359375 13.5625 10.742188 13.46875 11.148438 13.289062 C 11.550781 13.105469 11.875 12.925781 12.113281 12.746094 C 12.351562 12.570312 12.660156 12.320312 13.039062 12 C 14.210938 11.019531 15.796875 9.761719 17.789062 8.230469 C 18.0625 8.007812 18.320312 7.761719 18.558594 7.496094 Z M 18.558594 4.214844 L 18.558594 4.339844 C 18.558594 4.777344 18.386719 5.265625 18.039062 5.804688 C 17.695312 6.34375 17.320312 6.773438 16.917969 7.09375 C 15.484375 8.222656 13.992188 9.402344 12.445312 10.628906 C 12.402344 10.664062 12.269531 10.773438 12.054688 10.957031 C 11.839844 11.140625 11.667969 11.277344 11.542969 11.375 C 11.417969 11.472656 11.25 11.589844 11.046875 11.726562 C 10.84375 11.863281 10.65625 11.964844 10.484375 12.035156 C 10.3125 12.101562 10.152344 12.132812 10.003906 12.132812 L 9.980469 12.132812 C 9.832031 12.132812 9.671875 12.101562 9.503906 12.035156 C 9.332031 11.964844 9.144531 11.863281 8.9375 11.726562 C 8.734375 11.589844 8.570312 11.472656 8.441406 11.375 C 8.316406 11.277344 8.144531 11.140625 7.929688 10.957031 C 7.714844 10.773438 7.582031 10.664062 7.539062 10.628906 C 5.992188 9.402344 4.503906 8.222656 3.066406 7.09375 C 1.972656 6.230469 1.425781 5.175781 1.425781 3.925781 C 1.425781 3.828125 1.464844 3.746094 1.535156 3.675781 C 1.605469 3.605469 1.6875 3.570312 1.785156 3.570312 L 18.203125 3.570312 C 18.261719 3.601562 18.3125 3.613281 18.355469 3.597656 C 18.402344 3.582031 18.433594 3.609375 18.457031 3.679688 C 18.480469 3.75 18.5 3.785156 18.519531 3.78125 C 18.539062 3.777344 18.546875 3.824219 18.550781 3.921875 C 18.554688 4.015625 18.558594 4.066406 18.558594 4.066406 Z M 18.558594 4.214844" />
      </LabelIconG>
    </LabelIconSvg>
  );
};

export const FirstNameIcon = () => {
  return (
    <LabelIconSvg>
      <LabelIconG>
        <LabelIconPath d="M 9.988281 9.988281 C 11.367188 9.988281 12.546875 9.5 13.519531 8.527344 C 14.496094 7.550781 14.984375 6.375 14.984375 4.996094 C 14.984375 3.617188 14.496094 2.4375 13.519531 1.464844 C 12.546875 0.488281 11.367188 0 9.988281 0 C 8.609375 0 7.433594 0.488281 6.457031 1.464844 C 5.480469 2.4375 4.996094 3.617188 4.996094 4.996094 C 4.996094 6.375 5.480469 7.550781 6.457031 8.527344 C 7.433594 9.5 8.609375 9.988281 9.988281 9.988281 Z M 9.988281 9.988281" />
        <LabelIconPath d="M 19.101562 15.261719 C 19.070312 14.824219 19.007812 14.351562 18.917969 13.847656 C 18.828125 13.339844 18.710938 12.867188 18.574219 12.433594 C 18.433594 12 18.25 11.578125 18.015625 11.167969 C 17.78125 10.753906 17.511719 10.402344 17.207031 10.113281 C 16.902344 9.820312 16.535156 9.589844 16.097656 9.417969 C 15.65625 9.242188 15.175781 9.15625 14.644531 9.15625 C 14.566406 9.15625 14.386719 9.25 14.097656 9.4375 C 13.8125 9.621094 13.488281 9.832031 13.128906 10.0625 C 12.769531 10.289062 12.300781 10.5 11.726562 10.683594 C 11.148438 10.871094 10.570312 10.964844 9.988281 10.964844 C 9.40625 10.964844 8.828125 10.871094 8.253906 10.683594 C 7.675781 10.5 7.207031 10.289062 6.847656 10.0625 C 6.488281 9.832031 6.164062 9.621094 5.878906 9.4375 C 5.59375 9.25 5.410156 9.15625 5.332031 9.15625 C 4.804688 9.15625 4.320312 9.242188 3.882812 9.417969 C 3.445312 9.589844 3.074219 9.824219 2.769531 10.113281 C 2.464844 10.402344 2.199219 10.753906 1.964844 11.167969 C 1.730469 11.578125 1.542969 12 1.40625 12.433594 C 1.265625 12.867188 1.152344 13.339844 1.058594 13.847656 C 0.96875 14.351562 0.90625 14.824219 0.878906 15.261719 C 0.847656 15.703125 0.832031 16.152344 0.832031 16.609375 C 0.832031 17.648438 1.148438 18.472656 1.78125 19.074219 C 2.414062 19.675781 3.257812 19.980469 4.304688 19.980469 L 15.671875 19.980469 C 16.722656 19.980469 17.5625 19.675781 18.195312 19.074219 C 18.832031 18.472656 19.148438 17.652344 19.148438 16.609375 C 19.144531 16.152344 19.132812 15.703125 19.101562 15.261719 Z M 19.101562 15.261719" />
      </LabelIconG>
    </LabelIconSvg>
  );
};

export const AgeIcon = () => {
  return (
    <LabelIconSvg>
      <LabelIconG>
        <LabelIconPath d="M5.54,3.292 C5.54,1.84 7.01,0.666666667 8.82166667,0.666666667 C10.6333333,0.666666667 12.1033333,1.84133333 12.1033333,3.292 C12.1033333,4.74133333 10.6333333,5.916 8.82,5.916 C7.01,5.916 5.54,4.74133333 5.54,3.292 Z M17.145,3.34133333 C16.575,2.88666667 15.6516667,2.88666667 15.0816667,3.34133333 L11.1333333,6.5 L6.50833333,6.5 L2.56166667,3.34133333 C1.99166667,2.88666667 1.06833333,2.88666667 0.498333333,3.34133333 C-0.0716666667,3.79733333 -0.0716666667,4.536 0.498333333,4.992 L4.81166667,8.44 L4.81166667,18.1653333 C4.81166667,18.8093333 5.46333333,19.332 6.27,19.332 L6.99833333,19.332 C7.80333333,19.332 8.45666667,18.8093333 8.45666667,18.1653333 L8.45666667,14.0813333 L9.18666667,14.0813333 L9.18666667,18.1653333 C9.18666667,18.8093333 9.83833333,19.332 10.645,19.332 L11.3733333,19.332 C12.1783333,19.332 12.8316667,18.8093333 12.8316667,18.1653333 L12.8316667,8.44133333 L17.145,4.992 C17.7133333,4.536 17.7133333,3.79733333 17.145,3.34133333 Z" />
      </LabelIconG>
    </LabelIconSvg>
  );
};

export const PasswordIcon = () => {
  return (
    <LabelIconSvg>
      <LabelIconG>
        <LabelIconPath d="M 17.785156 9.488281 C 17.519531 9.222656 17.195312 9.089844 16.816406 9.089844 L 16.363281 9.089844 L 16.363281 6.363281 C 16.363281 4.621094 15.738281 3.125 14.488281 1.875 C 13.238281 0.625 11.742188 0 10 0 C 8.257812 0 6.761719 0.625 5.511719 1.875 C 4.261719 3.125 3.636719 4.621094 3.636719 6.363281 L 3.636719 9.089844 L 3.183594 9.089844 C 2.804688 9.089844 2.480469 9.222656 2.214844 9.488281 C 1.949219 9.753906 1.816406 10.074219 1.816406 10.453125 L 1.816406 18.636719 C 1.816406 19.015625 1.949219 19.335938 2.214844 19.601562 C 2.480469 19.867188 2.804688 20 3.183594 20 L 16.816406 20 C 17.195312 20 17.519531 19.867188 17.785156 19.601562 C 18.050781 19.335938 18.183594 19.015625 18.183594 18.636719 L 18.183594 10.453125 C 18.183594 10.074219 18.050781 9.753906 17.785156 9.488281 Z M 13.636719 9.089844 L 6.363281 9.089844 L 6.363281 6.363281 C 6.363281 5.359375 6.71875 4.503906 7.429688 3.792969 C 8.140625 3.082031 8.996094 2.726562 10 2.726562 C 11.003906 2.726562 11.859375 3.082031 12.570312 3.792969 C 13.28125 4.503906 13.636719 5.359375 13.636719 6.363281 Z M 13.636719 9.089844" />
      </LabelIconG>
    </LabelIconSvg>
  );
};

export const ShowPasswordIcon = () => {
  return (
    <PasswordIconSvg>
      <PasswordIconG>
        <PasswordIconShowPath d="M 13.832031 6.457031 C 13.105469 5.265625 12.125 4.308594 10.894531 3.582031 C 9.664062 2.859375 8.363281 2.5 6.996094 2.5 C 5.625 2.5 4.328125 2.859375 3.09375 3.582031 C 1.863281 4.308594 0.882812 5.265625 0.15625 6.457031 C 0.0507812 6.636719 0 6.816406 0 6.996094 C 0 7.171875 0.0507812 7.351562 0.15625 7.535156 C 0.882812 8.726562 1.863281 9.683594 3.09375 10.40625 C 4.328125 11.128906 5.625 11.492188 6.996094 11.492188 C 8.363281 11.492188 9.664062 11.132812 10.894531 10.410156 C 12.125 9.691406 13.105469 8.730469 13.832031 7.535156 C 13.9375 7.351562 13.988281 7.171875 13.988281 6.996094 C 13.988281 6.816406 13.9375 6.636719 13.832031 6.457031 Z M 5.320312 4.320312 C 5.785156 3.855469 6.34375 3.621094 6.996094 3.621094 C 7.097656 3.621094 7.1875 3.660156 7.261719 3.730469 C 7.332031 3.804688 7.371094 3.894531 7.371094 3.996094 C 7.371094 4.101562 7.332031 4.191406 7.261719 4.261719 C 7.1875 4.335938 7.097656 4.371094 6.996094 4.371094 C 6.546875 4.371094 6.164062 4.53125 5.847656 4.847656 C 5.53125 5.164062 5.371094 5.546875 5.371094 5.996094 C 5.371094 6.101562 5.335938 6.1875 5.261719 6.261719 C 5.1875 6.335938 5.101562 6.371094 4.996094 6.371094 C 4.890625 6.371094 4.804688 6.335938 4.730469 6.261719 C 4.65625 6.1875 4.621094 6.101562 4.621094 5.996094 C 4.621094 5.34375 4.855469 4.785156 5.320312 4.320312 Z M 10.386719 9.542969 C 9.34375 10.175781 8.210938 10.492188 6.996094 10.492188 C 5.777344 10.492188 4.644531 10.175781 3.601562 9.542969 C 2.558594 8.910156 1.691406 8.0625 1 6.996094 C 1.789062 5.765625 2.78125 4.847656 3.972656 4.238281 C 3.65625 4.78125 3.496094 5.367188 3.496094 5.996094 C 3.496094 6.957031 3.839844 7.78125 4.523438 8.464844 C 5.207031 9.152344 6.03125 9.492188 6.996094 9.492188 C 7.957031 9.492188 8.78125 9.152344 9.464844 8.464844 C 10.148438 7.78125 10.492188 6.957031 10.492188 5.996094 C 10.492188 5.367188 10.332031 4.78125 10.015625 4.238281 C 11.207031 4.847656 12.199219 5.765625 12.992188 6.996094 C 12.296875 8.0625 11.429688 8.910156 10.386719 9.542969 Z M 10.386719 9.542969" />
      </PasswordIconG>
    </PasswordIconSvg>
  );
};

export const HidePasswordIcon = () => {
  return (
    <PasswordIconSvg>
      <PasswordIconG>
        <PasswordIconHidePath d="M 9.875 7.976562 C 10.285156 7.378906 10.492188 6.71875 10.492188 5.996094 C 10.492188 5.792969 10.472656 5.574219 10.429688 5.339844 L 8.242188 9.257812 C 8.921875 9 9.464844 8.570312 9.875 7.976562 Z M 9.875 7.976562" />
        <PasswordIconHidePath d="M 10.195312 2.578125 C 10.199219 2.566406 10.203125 2.542969 10.203125 2.507812 C 10.203125 2.417969 10.160156 2.347656 10.078125 2.296875 C 10.0625 2.285156 10.011719 2.253906 9.925781 2.207031 C 9.839844 2.15625 9.757812 2.109375 9.679688 2.0625 C 9.601562 2.015625 9.515625 1.964844 9.421875 1.917969 C 9.328125 1.867188 9.25 1.828125 9.179688 1.796875 C 9.113281 1.765625 9.066406 1.75 9.039062 1.75 C 8.945312 1.75 8.875 1.789062 8.820312 1.875 L 8.398438 2.628906 C 7.925781 2.542969 7.457031 2.5 6.996094 2.5 C 5.59375 2.5 4.304688 2.851562 3.121094 3.558594 C 1.941406 4.269531 0.953125 5.234375 0.15625 6.457031 C 0.0507812 6.617188 0 6.796875 0 6.996094 C 0 7.191406 0.0507812 7.371094 0.15625 7.535156 C 0.613281 8.246094 1.15625 8.882812 1.785156 9.445312 C 2.410156 10.007812 3.097656 10.457031 3.839844 10.796875 C 3.613281 11.1875 3.496094 11.414062 3.496094 11.476562 C 3.496094 11.570312 3.539062 11.644531 3.621094 11.695312 C 4.257812 12.058594 4.605469 12.242188 4.667969 12.242188 C 4.761719 12.242188 4.835938 12.199219 4.886719 12.117188 L 5.269531 11.421875 C 5.820312 10.4375 6.644531 8.960938 7.738281 6.996094 C 8.828125 5.027344 9.648438 3.554688 10.195312 2.578125 Z M 4.332031 9.921875 C 2.980469 9.3125 1.867188 8.339844 1 6.996094 C 1.789062 5.765625 2.78125 4.847656 3.972656 4.238281 C 3.65625 4.78125 3.496094 5.367188 3.496094 5.996094 C 3.496094 6.550781 3.625 7.082031 3.878906 7.582031 C 4.136719 8.082031 4.488281 8.492188 4.941406 8.820312 Z M 7.261719 4.261719 C 7.1875 4.335938 7.097656 4.371094 6.996094 4.371094 C 6.546875 4.371094 6.164062 4.53125 5.847656 4.847656 C 5.53125 5.164062 5.371094 5.546875 5.371094 5.996094 C 5.371094 6.101562 5.335938 6.1875 5.261719 6.261719 C 5.1875 6.335938 5.101562 6.371094 4.996094 6.371094 C 4.890625 6.371094 4.804688 6.335938 4.730469 6.261719 C 4.65625 6.1875 4.621094 6.101562 4.621094 5.996094 C 4.621094 5.34375 4.855469 4.785156 5.320312 4.320312 C 5.785156 3.855469 6.34375 3.621094 6.996094 3.621094 C 7.097656 3.621094 7.1875 3.660156 7.261719 3.730469 C 7.332031 3.804688 7.371094 3.894531 7.371094 3.996094 C 7.371094 4.101562 7.332031 4.191406 7.261719 4.261719 Z M 7.261719 4.261719" />
        <PasswordIconHidePath d="M 13.832031 6.457031 C 13.535156 5.960938 13.160156 5.484375 12.707031 5.019531 C 12.25 4.554688 11.773438 4.160156 11.28125 3.824219 L 10.789062 4.699219 C 11.65625 5.296875 12.390625 6.0625 12.992188 6.996094 C 12.359375 7.972656 11.574219 8.773438 10.636719 9.390625 C 9.699219 10.011719 8.675781 10.367188 7.574219 10.460938 L 6.996094 11.492188 C 8.152344 11.492188 9.242188 11.246094 10.269531 10.75 C 11.296875 10.253906 12.203125 9.5625 12.984375 8.664062 C 13.347656 8.242188 13.628906 7.867188 13.832031 7.535156 C 13.9375 7.355469 13.988281 7.175781 13.988281 6.996094 C 13.988281 6.8125 13.9375 6.632812 13.832031 6.457031 Z M 13.832031 6.457031" />
      </PasswordIconG>
    </PasswordIconSvg>
  );
};

export const OkIcon = () => {
  return (
    <SubmitIconSvg>
      <SubmitIconG>
        <SubmitIconPath d="M 12.121094 7.265625 C 12.375 6.882812 12.503906 6.457031 12.503906 5.992188 C 12.503906 5.457031 12.304688 4.992188 11.910156 4.59375 C 11.511719 4.199219 11.042969 4 10.503906 4 L 9.125 4 C 9.375 3.484375 9.503906 2.984375 9.503906 2.5 C 9.503906 1.890625 9.410156 1.40625 9.230469 1.046875 C 9.046875 0.6875 8.78125 0.421875 8.429688 0.253906 C 8.082031 0.0859375 7.6875 0 7.25 0 C 6.984375 0 6.75 0.0976562 6.546875 0.289062 C 6.324219 0.507812 6.164062 0.789062 6.0625 1.132812 C 5.964844 1.476562 5.886719 1.804688 5.824219 2.121094 C 5.765625 2.4375 5.671875 2.660156 5.546875 2.789062 C 5.292969 3.066406 5.015625 3.398438 4.710938 3.789062 C 4.1875 4.472656 3.828125 4.875 3.640625 5 L 1.5 5 C 1.222656 5 0.988281 5.097656 0.792969 5.292969 C 0.597656 5.488281 0.5 5.726562 0.5 6 L 0.5 11.003906 C 0.5 11.277344 0.597656 11.515625 0.792969 11.710938 C 0.988281 11.90625 1.222656 12.003906 1.5 12.003906 L 3.75 12.003906 C 3.867188 12.003906 4.226562 12.105469 4.828125 12.316406 C 5.46875 12.539062 6.035156 12.710938 6.519531 12.828125 C 7.007812 12.945312 7.5 13.003906 8 13.003906 L 9.007812 13.003906 C 9.742188 13.003906 10.335938 12.792969 10.785156 12.375 C 11.230469 11.953125 11.453125 11.382812 11.449219 10.660156 C 11.761719 10.257812 11.917969 9.792969 11.917969 9.265625 C 11.917969 9.152344 11.910156 9.039062 11.894531 8.929688 C 12.089844 8.582031 12.191406 8.207031 12.191406 7.804688 C 12.191406 7.617188 12.167969 7.4375 12.121094 7.265625 Z M 2.351562 10.855469 C 2.253906 10.953125 2.136719 11.003906 2 11.003906 C 1.863281 11.003906 1.746094 10.953125 1.648438 10.855469 C 1.550781 10.753906 1.5 10.636719 1.5 10.503906 C 1.5 10.367188 1.550781 10.25 1.648438 10.152344 C 1.75 10.050781 1.863281 10.003906 2 10.003906 C 2.136719 10.003906 2.253906 10.050781 2.351562 10.152344 C 2.453125 10.25 2.5 10.367188 2.5 10.503906 C 2.5 10.636719 2.453125 10.753906 2.351562 10.855469 Z M 11.335938 6.632812 C 11.222656 6.875 11.082031 6.996094 10.917969 7 C 10.996094 7.089844 11.058594 7.214844 11.113281 7.371094 C 11.164062 7.53125 11.191406 7.675781 11.191406 7.808594 C 11.191406 8.164062 11.050781 8.476562 10.777344 8.738281 C 10.871094 8.902344 10.917969 9.082031 10.917969 9.277344 C 10.917969 9.46875 10.871094 9.660156 10.78125 9.851562 C 10.6875 10.039062 10.566406 10.175781 10.410156 10.257812 C 10.433594 10.414062 10.449219 10.5625 10.449219 10.699219 C 10.449219 11.566406 9.949219 12.003906 8.945312 12.003906 L 8 12.003906 C 7.320312 12.003906 6.429688 11.8125 5.328125 11.433594 C 5.304688 11.421875 5.226562 11.394531 5.101562 11.351562 C 4.976562 11.304688 4.886719 11.273438 4.824219 11.253906 C 4.765625 11.230469 4.675781 11.203125 4.550781 11.164062 C 4.429688 11.125 4.332031 11.09375 4.253906 11.078125 C 4.179688 11.058594 4.09375 11.042969 3.996094 11.027344 C 3.902344 11.011719 3.820312 11.003906 3.75 11.003906 L 3.5 11.003906 L 3.5 6 L 3.75 6 C 3.835938 6 3.925781 5.976562 4.027344 5.929688 C 4.128906 5.882812 4.234375 5.8125 4.339844 5.71875 C 4.449219 5.625 4.546875 5.535156 4.640625 5.441406 C 4.734375 5.351562 4.839844 5.238281 4.953125 5.097656 C 5.070312 4.960938 5.160156 4.851562 5.222656 4.765625 C 5.289062 4.683594 5.371094 4.578125 5.46875 4.445312 C 5.570312 4.316406 5.628906 4.238281 5.648438 4.210938 C 5.9375 3.859375 6.136719 3.621094 6.25 3.5 C 6.464844 3.277344 6.621094 2.992188 6.714844 2.644531 C 6.8125 2.300781 6.890625 1.972656 6.953125 1.664062 C 7.015625 1.359375 7.117188 1.136719 7.25 1 C 7.75 1 8.085938 1.121094 8.25 1.367188 C 8.417969 1.613281 8.5 1.992188 8.5 2.5 C 8.5 2.808594 8.375 3.226562 8.125 3.753906 C 7.875 4.285156 7.75 4.699219 7.75 5 L 10.503906 5 C 10.761719 5 10.996094 5.101562 11.199219 5.300781 C 11.402344 5.503906 11.503906 5.734375 11.503906 6 C 11.503906 6.183594 11.445312 6.394531 11.335938 6.632812 Z M 11.335938 6.632812" />
      </SubmitIconG>
    </SubmitIconSvg>
  );
};

export const PostalCodeIcon = () => (
  <LabelIconSvg>
    <LabelIconG>
      <LabelIconPath d="M 8.804688 18.957031 C 3.507812 11.277344 2.523438 10.488281 2.523438 7.667969 C 2.523438 3.800781 5.65625 0.667969 9.523438 0.667969 C 13.390625 0.667969 16.523438 3.800781 16.523438 7.667969 C 16.523438 10.488281 15.539062 11.277344 10.242188 18.957031 C 9.894531 19.457031 9.152344 19.457031 8.804688 18.957031 Z M 9.523438 10.585938 C 11.132812 10.585938 12.441406 9.277344 12.441406 7.667969 C 12.441406 6.054688 11.132812 4.75 9.523438 4.75 C 7.914062 4.75 6.605469 6.054688 6.605469 7.667969 C 6.605469 9.277344 7.914062 10.582031 9.523438 10.582031 Z M 9.523438 10.585938" />
    </LabelIconG>
  </LabelIconSvg>
);

export const NewWindowWhiteIcon = () => (
  <NewWindowInconSvg>
    <NewWindowWhiteIconPath d="M7.2.771V6.43c0 .426-.345.771-.771.771H.77C.345 7.2 0 6.855 0 6.429V.77C0 .345.345 0 .771 0H6.43c.426 0 .771.345.771.771zm-1.414.258h-1.8c-.342 0-.515.415-.273.658l.514.514-3.142 3.143c-.075.075-.075.197 0 .272l.499.499c.075.075.197.075.272 0L5 2.973l.514.514c.242.241.658.072.658-.273v-1.8c0-.213-.172-.385-.385-.385z" />
  </NewWindowInconSvg>
);

export const NewWindowBlackIcon = () => (
  <NewWindowInconSvg>
    <NewWindowBlackIconPath d="M7.2.771V6.43c0 .426-.345.771-.771.771H.77C.345 7.2 0 6.855 0 6.429V.77C0 .345.345 0 .771 0H6.43c.426 0 .771.345.771.771zm-1.414.258h-1.8c-.342 0-.515.415-.273.658l.514.514-3.142 3.143c-.075.075-.075.197 0 .272l.499.499c.075.075.197.075.272 0L5 2.973l.514.514c.242.241.658.072.658-.273v-1.8c0-.213-.172-.385-.385-.385z" />
  </NewWindowInconSvg>
);

export const SvgCheck = () => (
  <CheckIconSvg>
    <CheckIconPath d="M15.711 1.657L14.307.283A.966.966 0 0 0 13.605 0a.966.966 0 0 0-.702.283L6.132 6.919 3.097 3.94a.966.966 0 0 0-.702-.282.966.966 0 0 0-.702.282L.289 5.313A.925.925 0 0 0 0 6c0 .27.096.498.289.687l3.737 3.656 1.404 1.374a.966.966 0 0 0 .702.283.966.966 0 0 0 .702-.283l1.403-1.374 7.474-7.313A.926.926 0 0 0 16 2.343a.925.925 0 0 0-.289-.686z" />
  </CheckIconSvg>
);
